Only every other metadata area was being read when loading a snapshot!
[Kevin Corry]
--- diff/drivers/md/dm-exception-store.c	2003-08-26 13:59:04.000000000 +0100
+++ source/drivers/md/dm-exception-store.c	2003-08-26 16:27:05.000000000 +0100
@@ -369,8 +369,6 @@
 		r = insert_exceptions(ps, &full);
 		if (r)
 			return r;
-
-		area++;
 	}
 
 	return 0;
--- diff/arch/mips64/kernel/ioctl32.c.rej	2003-08-26 13:59:04.000000000 +0100
+++ source/arch/mips64/kernel/ioctl32.c.rej	1970-01-01 01:00:00.000000000 +0100
@@ -1,16 +0,0 @@
-***************
-*** 33,38 ****
-  #include <linux/auto_fs.h>
-  #include <linux/ext2_fs.h>
-  #include <linux/raid/md_u.h>
-  
-  #include <scsi/scsi.h>
-  #undef __KERNEL__		/* This file was born to be ugly ...  */
---- 33,39 ----
-  #include <linux/auto_fs.h>
-  #include <linux/ext2_fs.h>
-  #include <linux/raid/md_u.h>
-+ #include <linux/dm-ioctl.h>
-  
-  #include <scsi/scsi.h>
-  #undef __KERNEL__		/* This file was born to be ugly ...  */
--- diff/arch/s390x/kernel/ioctl32.c.rej	2003-08-26 13:59:04.000000000 +0100
+++ source/arch/s390x/kernel/ioctl32.c.rej	1970-01-01 01:00:00.000000000 +0100
@@ -1,45 +0,0 @@
-***************
-*** 25,30 ****
-  #include <linux/ext2_fs.h>
-  #include <linux/hdreg.h>
-  #include <linux/if_bonding.h>
-  #include <asm/types.h>
-  #include <asm/uaccess.h>
-  #include <asm/dasd.h>
---- 25,31 ----
-  #include <linux/ext2_fs.h>
-  #include <linux/hdreg.h>
-  #include <linux/if_bonding.h>
-+ #include <linux/dm-ioctl.h>
-  #include <asm/types.h>
-  #include <asm/uaccess.h>
-  #include <asm/dasd.h>
-***************
-*** 508,513 ****
-  
-  	IOCTL32_DEFAULT(SIOCGSTAMP),
-  
-  	IOCTL32_HANDLER(SIOCGIFNAME, dev_ifname32),
-  	IOCTL32_HANDLER(SIOCGIFCONF, dev_ifconf),
-  	IOCTL32_HANDLER(SIOCGIFFLAGS, dev_ifsioc),
---- 509,528 ----
-  
-  	IOCTL32_DEFAULT(SIOCGSTAMP),
-  
-+ 	IOCTL32_DEFAULT(DM_VERSION),
-+ 	IOCTL32_DEFAULT(DM_REMOVE_ALL),
-+ 	IOCTL32_DEFAULT(DM_DEV_CREATE),
-+ 	IOCTL32_DEFAULT(DM_DEV_REMOVE),
-+ 	IOCTL32_DEFAULT(DM_TABLE_LOAD),
-+ 	IOCTL32_DEFAULT(DM_DEV_SUSPEND),
-+ 	IOCTL32_DEFAULT(DM_DEV_RENAME),
-+ 	IOCTL32_DEFAULT(DM_TABLE_DEPS),
-+ 	IOCTL32_DEFAULT(DM_DEV_STATUS),
-+ 	IOCTL32_DEFAULT(DM_TABLE_STATUS),
-+ 	IOCTL32_DEFAULT(DM_DEV_WAIT),
-+ 	IOCTL32_DEFAULT(DM_LIST_DEVICES),
-+ 	IOCTL32_DEFAULT(DM_TABLE_CLEAR),
-+ 
-  	IOCTL32_HANDLER(SIOCGIFNAME, dev_ifname32),
-  	IOCTL32_HANDLER(SIOCGIFCONF, dev_ifconf),
-  	IOCTL32_HANDLER(SIOCGIFFLAGS, dev_ifsioc),
--- diff/mm/filemap.c.rej	2003-08-26 13:59:04.000000000 +0100
+++ source/mm/filemap.c.rej	1970-01-01 01:00:00.000000000 +0100
@@ -1,21 +0,0 @@
-***************
-*** 1704,1711 ****
-  			retval = generic_file_direct_IO(READ, filp, buf, count, pos);
-  			if (retval > 0)
-  				*ppos = pos + retval;
-  		}
-- 		UPDATE_ATIME(filp->f_dentry->d_inode);
-  		goto out;
-  	}
-  }
---- 1704,1713 ----
-  			retval = generic_file_direct_IO(READ, filp, buf, count, pos);
-  			if (retval > 0)
-  				*ppos = pos + retval;
-+ 
-  		}
-+ 		if (!S_ISBLK(inode->i_mode))
-+ 			UPDATE_ATIME(filp->f_dentry->d_inode);
-  		goto out;
-  	}
-  }
